summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYongqin Liu <yongqin.liu@linaro.org>2015-06-27 18:27:40 +0800
committerYongqin Liu <yongqin.liu@linaro.org>2015-06-28 16:56:34 +0800
commit7207a71cf62462d6c480f845d2cc749aad8ed414 (patch)
tree749610570f437aea590d48f893d3641081329713
parentac6e1a90c48e58bb9ffcecc8523a6eebe9eb56e7 (diff)
downloadandroid-patchsets-7207a71cf62462d6c480f845d2cc749aad8ed414.tar.gz
nexus9-master-workarounds: and workarounds for nexus9 with master branch
Change-Id: Ic1f9e2027e8888a070c935c5ab5044e6b020f990 Signed-off-by: Yongqin Liu <yongqin.liu@linaro.org>
-rwxr-xr-xget-flounder-preview-blobs2
-rwxr-xr-xnexus9-master-workarounds22
2 files changed, 23 insertions, 1 deletions
diff --git a/get-flounder-preview-blobs b/get-flounder-preview-blobs
index c20280e..8406603 100755
--- a/get-flounder-preview-blobs
+++ b/get-flounder-preview-blobs
@@ -1,6 +1,6 @@
#!/bin/sh
# https://developers.google.com/android/nexus/blobs-preview
-wget https://dl.google.com/dl/android/aosp/htc-flounder-1632165-c832bb6b.tgz
+wget https://dl.google.com/dl/android/aosp/htc-flounder-2002986-471221c6.tgz
for i in *-flounder-*.tgz; do
tar xf $i
done
diff --git a/nexus9-master-workarounds b/nexus9-master-workarounds
new file mode 100755
index 0000000..0de9a2e
--- /dev/null
+++ b/nexus9-master-workarounds
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+. $(dirname $0)/functions
+
+PATCHES=0
+if [ -n "$1" ]; then
+ AOSP="$1"
+else
+ AOSP="`pwd`"
+fi
+
+if ! [ -d "$AOSP" ] && ! [ -d "$AOSP/bionic" ] && [ -d "$AOSP"/build ]; then
+ echo "This script must be run from the AOSP source directory"
+ echo "or with the AOSP source directory as its first parameter."
+ exit 1
+fi
+
+
+##################################################
+################ Linaro hack ###################
+##################################################
+apply --linaro device/htc/flounder 15932/2